python-plumbum_1.6.0-1_all.deb


Advertisement

Description

python-plumbum - library for writing shell script-like programs in Python 2

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-plumbum
Package version 1.6.0
Package release 1
Package architecture all
Package type deb
Installed size 328 B
Download size 65.90 KB
Official Mirror archive.ubuntu.com
python-plumbum provides shell-like syntax and handy shortcuts for writing shell
script one-liners in Python using shell combinators. It supports local and
remote command execution (over SSH), local and remote file-system paths,
easy working-directory and environment manipulation and a programmatic
Command-Line Interface (CLI) application toolkit.
This is the Python 2 version.

Alternatives

Package Version Architecture Repository
python-plumbum_1.6.0-1_all.deb 1.6.0 all Ubuntu Universe
python-plumbum - - -

Requires

Name Value
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-plumbum_1.6.0-1_all.deb
Source Package python-plumbum

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-plumbum deb package:
    # sudo apt-get install python-plumbum

Files

Path
/usr/lib/python2.7/dist-packages/plumbum/__init__.py
/usr/lib/python2.7/dist-packages/plumbum/_testtools.py
/usr/lib/python2.7/dist-packages/plumbum/colors.py
/usr/lib/python2.7/dist-packages/plumbum/lib.py
/usr/lib/python2.7/dist-packages/plumbum/version.py
/usr/lib/python2.7/dist-packages/plumbum-1.6.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/plumbum-1.6.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/plumbum-1.6.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/plumbum/cli/__init__.py
/usr/lib/python2.7/dist-packages/plumbum/cli/application.py
/usr/lib/python2.7/dist-packages/plumbum/cli/progress.py
/usr/lib/python2.7/dist-packages/plumbum/cli/switches.py
/usr/lib/python2.7/dist-packages/plumbum/cli/terminal.py
/usr/lib/python2.7/dist-packages/plumbum/cli/termsize.py
/usr/lib/python2.7/dist-packages/plumbum/colorlib/__init__.py
/usr/lib/python2.7/dist-packages/plumbum/colorlib/__main__.py
/usr/lib/python2.7/dist-packages/plumbum/colorlib/_ipython_ext.py
/usr/lib/python2.7/dist-packages/plumbum/colorlib/factories.py
/usr/lib/python2.7/dist-packages/plumbum/colorlib/names.py
/usr/lib/python2.7/dist-packages/plumbum/colorlib/styles.py
/usr/lib/python2.7/dist-packages/plumbum/commands/__init__.py
/usr/lib/python2.7/dist-packages/plumbum/commands/base.py
/usr/lib/python2.7/dist-packages/plumbum/commands/daemons.py
/usr/lib/python2.7/dist-packages/plumbum/commands/modifiers.py
/usr/lib/python2.7/dist-packages/plumbum/commands/processes.py
/usr/lib/python2.7/dist-packages/plumbum/fs/__init__.py
/usr/lib/python2.7/dist-packages/plumbum/fs/atomic.py
/usr/lib/python2.7/dist-packages/plumbum/fs/mounts.py
/usr/lib/python2.7/dist-packages/plumbum/machines/__init__.py
/usr/lib/python2.7/dist-packages/plumbum/machines/_windows.py
/usr/lib/python2.7/dist-packages/plumbum/machines/base.py
/usr/lib/python2.7/dist-packages/plumbum/machines/env.py
/usr/lib/python2.7/dist-packages/plumbum/machines/local.py
/usr/lib/python2.7/dist-packages/plumbum/machines/paramiko_machine.py
/usr/lib/python2.7/dist-packages/plumbum/machines/remote.py
/usr/lib/python2.7/dist-packages/plumbum/machines/session.py
/usr/lib/python2.7/dist-packages/plumbum/machines/ssh_machine.py
/usr/lib/python2.7/dist-packages/plumbum/path/__init__.py
/usr/lib/python2.7/dist-packages/plumbum/path/base.py
/usr/lib/python2.7/dist-packages/plumbum/path/local.py
/usr/lib/python2.7/dist-packages/plumbum/path/remote.py
/usr/lib/python2.7/dist-packages/plumbum/path/utils.py
/usr/share/doc/python-plumbum/README.rst.gz
/usr/share/doc/python-plumbum/changelog.Debian.gz
/usr/share/doc/python-plumbum/copyright

Changelog

2015-10-31 - Philipp Huebner <debalance@debian.org>
python-plumbum (1.6.0-1) unstable; urgency=low
* Imported Upstream version 1.6.0
2015-08-05 - Philipp Huebner <debalance@debian.org>
python-plumbum (1.5.0-1) unstable; urgency=low
* Imported Upstream version 1.5.0
2015-04-26 - Philipp Huebner <debalance@debian.org>
python-plumbum (1.4.2-2) unstable; urgency=medium
* Correct debian/watch
* Add Vcs links to debian/control
* Update Standards-Version: 3.9.6 (no changes needed)
2014-09-04 - Philipp Huebner <debalance@debian.org>
python-plumbum (1.4.2-1) unstable; urgency=low
* Initial release (Closes: #673026)

See Also

Package Description
python-plwm_2.6a+20080530-2_all.deb Pointless Window Manager - Python libraries for creating Window Managers
python-pmock_0.3.1+s20140625-3_all.deb Python module for unit testing using mock objects
python-pmw-doc_1.3.2-6build1_all.deb Pmw -- Python MegaWidgets
python-pmw_1.3.2-6build1_all.deb Pmw -- Python MegaWidgets
python-pocket-lint_0.5.31-0ubuntu1_all.deb composite linter and style checker
python-pocketsphinx_0.8.0+real5prealpha-1ubuntu2_amd64.deb Speech recognition tool - python bindings
python-poker-engine_1.3.6-1.2_all.deb multiplayer poker engine with abstract variants specifications
python-polib_1.0.7-1_all.deb Python library to parse and manage gettext catalogs
python-polled-camera_1.11.10-5_all.deb Robot OS polled_camera package - Python
python-polybori_0.8.3-5build1_amd64.deb polynomials over Boolean Rings, Python module
python-popcon_1.3_all.deb Python interface to Debian's Popularity Contest (popcon)
python-poppler-qt4_0.24.0-1build1_amd64.deb Python binding to Poppler-Qt4 C++ library (Python 2)
python-poppler_0.12.1-8.1_amd64.deb Poppler Python bindings
python-portalocker_0.5.5-1_all.deb easy API to file locking (Python 2)
python-poster_0.8.1-0.2_all.deb Python support for HTTP multipart PUT/POST
Advertisement
Advertisement